/*---------------------------------------------------------------------------------
 libBAG  Copyright (C) 2010 - 2010
  BassAceGold - <BassAceGold@gmail.com>

  This software is provided 'as-is', without any express or implied
  warranty.  In no event will the authors be held liable for any
  damages arising from the use of this software.

  Permission is granted to anyone to use this software for any
  purpose, including commercial applications, and to alter it and
  redistribute it freely, subject to the following restrictions:

  1. The origin of this software must not be misrepresented; you
     must not claim that you wrote the original software. If you use
     this software in a product, an acknowledgment in the product
     documentation would be appreciated but is not required.

  2. Altered source versions must be plainly marked as such, and
     must not be misrepresented as being the original software.

  3. Restricting the usage of or portions of code in this library
     from other software developers and or content creators
     is strictly prohibited in applications with software creation capabilities
     and or with the intent to profit from said restrictions.

  4. This notice may not be removed or altered from any source
     distribution.
---------------------------------------------------------------------------------*/

#ifndef _BAG_LIB2_
#define _BAG_LIB2_

#ifdef __cplusplus
extern "C" {
#endif

#include "../src/core.h"
#include "../src/input/input.h"
#include "debug/libBAG_Debug.h"
#include "../src/BAG_Math.h"
#include "../src/Display/sdk.h"
#include "../src/Filesystem/filesystem.h"
#include "../src/Filesystem/ndsheader.h"
#include "../src/Filesystem/fastIni.h"
#include "../src/Display/Draw.h"
#include "../src/Display/Display.h"
#include "../src/Display/TileBG.h"
#include "../src/Display/Bmp/bmp.h"
#include "../src/Display/Png/png.h"
#include "../src/Display/Jpeg/jpeg.h"
#include "../src/Display/Text/text.h"
#include "../src/Display/Text/FTText/FTTextSys.h"
#include "../src/Display/Text/FTText/FTTextFunctions.h"
#include "../src/Display/Text/BitText/BitTextSys.h"
#include "../src/Display/Text/BitText/BitTextFunctions.h"
#include "../src/Audio/Audio_Core.h"

#ifdef __cplusplus
}
#endif

#endif
